Plugin:
  # Command names that will be registered as main plugin commands.
  # Do not leave this empty. Split multiple names with a comma.
  Command_Aliases: excellentcrates,ecrates,crates,crate,case,cases
  # Sets the plugin language.
  # It will use language config from the '/lang/' sub-folder for specified language code.
  # By default uses your system's default locale.
  Language: en
  # Plugin prefix. Used in messages.
  # You can use %plugin_name_localized% placeholder for a plugin name.
  Prefix: '&e&lCrates &f'
  # Localized plugin name. It's used in messages and with internal placeholders.
  Name: ExcellentCrates

Database:
  # Sets database type.
  # Available values: MYSQL,SQLITE
  Type: SQLite
  # Defines how often (in minutes) user data of online players will be saved to the database.
  # Set -1 to disable.
  Auto_Save_Interval: 15
  Instant_Save: false
  MySQL:
    # Database user name.
    Username: user123
    # Database user password.
    Password: pass123
    # Database host address. Like http://127.0.0.1:3306/
    Host: localhost:3306
    # MySQL database name, where plugin tables will be created.
    Database: server
  Purge:
    # Enables/Disables purge feature.
    # Purge will remove all records from the plugin tables that are 'old' enough.
    Enabled: false
    For_Inactive_Days: 60
    # Sets maximal 'age' for the database records before they will be purged.
    # This option may have different behavior depends on the plugin.
    # By default it's days of inactivity for the plugin users.
    For_Period: 60
  # Defines how often (in seconds) plugin data will be fetched and loaded from the remote database.
  Sync_Interval: -1
  # Table prefix to use when plugin create tables. Do not leave this empty.
  Table_Prefix: ''
  SQLite:
    # File name for the database file.
    # Actually it's a path to the file, so you can use directories here.
    FileName: data.db

Crate:
  # Defines the crate behavior on certain clicks.
  # Allowed click types: LEFT, RIGHT, SHIFT_LEFT, SHIFT_RIGHT
  # Allowed crate actions: CRATE_OPEN, CRATE_MASS_OPEN, CRATE_PREVIEW
  Click_Actions:
    LEFT: CRATE_PREVIEW
    RIGHT: CRATE_OPEN
  Block_Pushback:
    # Sets the Y offset for crate block pushback.
    Y: -0.4
    # Vector multiplier for crate block pushback. The higher value - the harder pushback.
    Multiply: -1.25
  Cooldown_Formatter:
    # Sets the time formatter for crate opening cooldown.
    # 'hh' - hours, 'mm' - minutes, 'ss' - seconds.
    Time: hh:mm:ss
    # Sets the custom message instead of empty counter when there is no cooldown for a crate.
    Ready: '&aReady to Open!'
  # When 'true' applies PlaceholderAPI placeholders for crate reward items when they're about to be given to a player.
  PlaceholderAPI_For_Rewards: false
  # When 'true' and if crate has NO opening animation, holographic reward will appear above crate block for a short amount of time.
  # This option will have effect only when interacted with crate blocks.
  Display_Reward_Above_Block: true
  # Sets whether player must hold key in main hand in order to open crate.
  Hold_Key_To_Open: false
  # When 'true' prevents force closing opening animations to get reward instantly.
  Prevent_Opening_Skip: false
  # Sets how soon (in ticks) crate opening animation GUI will be closed when completed.
  # 1 second = 20 ticks. 20 ticks by default.
  Opening_Close_Time: 20
  Holograms:
    # Sets which hologram handler will be used to display crate holograms.
    # Available values: INTERNAL, DECENT_HOLOGRAMS, HOLOGRAPHIC_DISPLAYS
    # For all handlers, except the 'INTERNAL' one, you will have to install respective holograms plugin.
    # For 'INTERNAL' hologram handler you must have ProtocolLib installed and to be on 1.19.4 or newer.
    Handler: INTERNAL
    # Here you can create your own hologram text templates to use it in your crates.
    # You can use 'Crate' placeholders: https://github.com/nulli0n/ExcellentCrates-spigot/wiki/Internal-Placeholders
    # PlaceholderAPI is also supported here (if hologram handler supports it).
    Templates:
      default:
      - '#ead931&l%crate_name%'
      - '#aaa8a8Purchase keys at #ead931http://samplesmp.com/store'
      - '#aaa8a8You currently have #ead931%excellentcrates_keys_%crate_id%%#aaa8a8 keys'
      noble:
      - '#F04D73&lNOBLE CRATE'
      - ''
      - '&fBuy a key at &cwww.myserver.com&c'
      royal:
      - '#225FA5&lROYAL CRATE'
      - ''
      - '&fBuy a key at &cwww.myserver.com&c'
      wealthy:
      - '&2&lWEALTHY CRATE'
      - ''
      - '&7Buy a key at &cwww.myserver.com&c'
    # [For EXTERNAL handlers only]
    # Sets Y offset for hologram location.
    Y_Offset: 3.0
    # [For INTERNAL handler only]
    # Sets the gap between hologram lines.
    LineGap: 0.3
    # [For INTERNAL handler only]
    # Sets how often (in seconds) crate holograms will be updated.
    # Basically, this just removes them and adding back with updated placeholders.
    # Setting this to low values may result in flickering.
    # Setting this to high values may result in some players missing them until updated.
    Update_Interval: 5
Editor:
  Title:
    # Title for the Crate Editor GUIs.
    Crate: Crate Editor
    # Title for the Key Editor GUIs.
    Key: Key Editor
Logs:
  DateFormat: dd/MM/yyyy HH:mm:ss
  Enabled:
    # Sets whether or not all crate openings & reward wins will be logged to console.
    Console: false
    # Sets whether or not all crate openings & reward wins will be logged to a file.
    File: true
Currency:
  xp:
    Enabled: true
    Name: Xp
    Format: '%amount% %currency_name%'
  money:
    Enabled: true
    Name: Money
    Format: '%amount% %currency_name%'
